curl --request GET \ --url 'https://notificatorsms.com/api/contacts/' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/contacts/'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/contacts/', { headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.get('https://notificatorsms.com/api/contacts/', headers=headers) print(r.json())
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, phone_number. |
| user_id | Optional Integer | Filter results by user ID. |
| has_opted_out | Optional Boolean | |
| continent_code | Optional String | Allowed values: AF, AN, AS, EU, NA, OC, SA |
| country_code | Optional String | Allowed values: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW |
| datetime_field | Optional String | Allowed values: last_sent_datetime, last_received_datetime, datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: contact_id, name, phone_number, last_sent_datetime, last_received_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_received_sms. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "John Doe",
"phone_number": "+123 123 123",
"custom_parameters": {
"age": 18,
},
"continent_code": "EU",
"country_code": "IT",
"has_opted_out": false,
"total_sent_sms": 10,
"total_pending_sms": 5,
"total_failed_sms": 0,
"total_received_sms": 20,
"last_sent_datetime": "2026-05-17 16:51:38",
"last_received_datetime": "2026-05-17 16:51:38",
"last_datetime": null,
"datetime": "2026-05-17 16:51:38",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notificatorsms.com/api/contacts?page=1",
"last": "https://notificatorsms.com/api/contacts?page=1",
"next": null,
"prev": null,
"self": "https://notificatorsms.com/api/contacts?page=1"
}
}
curl --request GET \ --url 'https://notificatorsms.com/api/contacts/{contact_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/contacts/{contact_id}'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/contacts/{contact_id}', { headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.get('https://notificatorsms.com/api/contacts/{contact_id}', headers=headers) print(r.json())
{
"data": {
"id": 1,
"user_id": 1,
"name": "John Doe",
"phone_number": "+123 123 123",
"custom_parameters": {
"age": 18,
},
"continent_code": "EU",
"country_code": "IT",
"has_opted_out": false,
"total_sent_sms": 10,
"total_pending_sms": 5,
"total_failed_sms": 0,
"total_received_sms": 20,
"last_sent_datetime": "2026-05-17 16:51:38",
"last_received_datetime": "2026-05-17 16:51:38",
"last_datetime": null,
"datetime": "2026-05-17 16:51:38",
}
}
| Parameters | Details | Description |
|---|---|---|
| phone_number | Required String | - |
| name | Optional String | - |
| custom_parameter_key[index] | Optional String | - |
| custom_parameter_value[index] | Optional String | - |
curl --request POST \ --url 'https://notificatorsms.com/api/contacts' \ --header 'Authorization: Bearer VOTRE_API_KEY' \ --header 'Content-Type: multipart/form-data' \ --form 'phone_number=+33612345678' \ --form 'name=Jean Dupont'
<?php $ch = curl_init('https://notificatorsms.com/api/contacts'); curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_POSTFIELDS => [ 'phone_number' => '+33612345678', 'name' => 'Jean Dupont', ], CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const form = new FormData(); form.append('phone_number', '+33612345678'); form.append('name', 'Jean Dupont'); const res = await fetch('https://notificatorsms.com/api/contacts', { method: 'POST', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, body: form, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} payload = { 'phone_number': '+33612345678', 'name': 'Jean Dupont', } r = requests.post('https://notificatorsms.com/api/contacts', data=payload, headers=headers) print(r.json())
{
"data": {
"id": 1
}
}
| Parameters | Details | Description |
|---|---|---|
| phone_number | Optional String | - |
| name | Optional String | - |
| custom_parameter_key[index] | Optional String | - |
| custom_parameter_value[index] | Optional String | - |
curl --request POST \ --url 'https://notificatorsms.com/api/contacts/{contact_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY' \ --header 'Content-Type: multipart/form-data' \ --form 'name=Jean Dupont' \ --form 'phone_number=+33612345678'
<?php $ch = curl_init('https://notificatorsms.com/api/contacts/{contact_id}'); curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_POSTFIELDS => [ 'name' => 'Jean Dupont', 'phone_number' => '+33612345678', ], CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const form = new FormData(); form.append('name', 'Jean Dupont'); form.append('phone_number', '+33612345678'); const res = await fetch('https://notificatorsms.com/api/contacts/{contact_id}', { method: 'POST', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, body: form, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} payload = { 'name': 'Jean Dupont', 'phone_number': '+33612345678', } r = requests.post('https://notificatorsms.com/api/contacts/{contact_id}', data=payload, headers=headers) print(r.json())
{
"data": {
"id": 1
}
}
curl --request DELETE \ --url 'https://notificatorsms.com/api/contacts/{contact_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/contacts/{contact_id}'); curl_setopt_array($ch, [ CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/contacts/{contact_id}', { method: 'DELETE', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.delete('https://notificatorsms.com/api/contacts/{contact_id}', headers=headers) print(r.json())